Bug 117668 - [PATCH] www/rubygem-rails: update to 1.2.5
Summary: [PATCH] www/rubygem-rails: update to 1.2.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-30 11:00 UTC by Alexander Logvinov
Modified: 2007-12-03 23:30 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Logvinov 2007-10-30 11:00:05 UTC
    Update:
    
    devel/rubygem-activesupport 1.4.2 to 1.4.4
    mail/rubygem-actionmailer 1.3.3 to 1.3.5
    databases/rubygem-activerecord 1.15.3 to 1.15.5
    www/rubygem-actionpack 1.13.3 to 1.13.5
    www/rubygem-actionwebservice 1.2.3 to 1.2.5
    www/rubygem-rails 1.2.3 to 1.2.5

Fix: 

Patches:
  
    http://www.logvinov.ru/files/rails/activesupport.diff
    http://www.logvinov.ru/files/rails/activerecord.diff
    http://www.logvinov.ru/files/rails/actionpack.diff
    http://www.logvinov.ru/files/rails/actionwebservice.diff
    http://www.logvinov.ru/files/rails/actionmailer.diff
    http://www.logvinov.ru/files/rails/rails.diff
      
    All-in-one patch:
    
    http://www.logvinov.ru/files/rails/all.diff
Comment 1 Martin Wilke freebsd_committer 2007-10-30 12:49:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Edwin Groothuis freebsd_committer 2007-10-30 18:29:02 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Alexander Logvinov 2007-11-28 23:59:30 UTC
    Update to 1.2.6, this is a security update for CVE-2007-6077 :
    
    devel/rubygem-activesupport 1.4.2 to 1.4.4
    mail/rubygem-actionmailer 1.3.3 to 1.3.6
    databases/rubygem-activerecord 1.15.3 to 1.15.6
    www/rubygem-actionpack 1.13.3 to 1.13.6
    www/rubygem-actionwebservice 1.2.3 to 1.2.6
    www/rubygem-rails 1.2.3 to 1.2.6
    
    Patches:
  
    http://www.logvinov.ru/files/rails/1.2.6/activesupport.diff
    http://www.logvinov.ru/files/rails/1.2.6/activerecord.diff
    http://www.logvinov.ru/files/rails/1.2.6/actionpack.diff
    http://www.logvinov.ru/files/rails/1.2.6/actionwebservice.diff
    http://www.logvinov.ru/files/rails/1.2.6/actionmailer.diff
    http://www.logvinov.ru/files/rails/1.2.6/rails.diff
      
    All-in-one patch:
    
    http://www.logvinov.ru/files/rails/1.2.6/all.diff
Comment 4 dfilter service freebsd_committer 2007-12-03 23:26:38 UTC
miwi        2007-12-03 23:26:34 UTC

  FreeBSD ports repository

  Modified files:
    www/rubygem-actionwebservice Makefile distinfo pkg-plist 
  Log:
  - Update to 1.2.6 (needed for a security update)
  
  PR:             117668
  Submitted by:   Alexander Logvinov <ports@logvinov.com>
  Approved by:    portmgr (linimon), maintainer timeout
  
  Revision  Changes    Path
  1.13      +3 -3      ports/www/rubygem-actionwebservice/Makefile
  1.9       +3 -3      ports/www/rubygem-actionwebservice/distinfo
  1.8       +29 -29    ports/www/rubygem-actionwebservice/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2007-12-03 23:26:41 UTC
miwi        2007-12-03 23:26:38 UTC

  FreeBSD ports repository

  Modified files:
    www/rubygem-actionpack Makefile distinfo pkg-plist 
  Log:
  - Update to 1.13.6 (needed for a security update)
  
  PR:             117668
  Submitted by:   Alexander Logvinov <ports@logvinov.com>
  Approved by:    portmgr (linimon), maintainer timeout
  
  Revision  Changes    Path
  1.12      +2 -2      ports/www/rubygem-actionpack/Makefile
  1.10      +3 -3      ports/www/rubygem-actionpack/distinfo
  1.10      +254 -236  ports/www/rubygem-actionpack/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2007-12-03 23:26:45 UTC
miwi        2007-12-03 23:26:41 UTC

  FreeBSD ports repository

  Modified files:
    databases/rubygem-activerecord Makefile distinfo pkg-plist 
  Log:
  - Update to 1.15.6 (needed for a security update)
  
  PR:             117668
  Submitted by:   Alexander Logvinov <ports@logvinov.com>
  Approved by:    portmgr (linimon), maintainer timeout
  
  Revision  Changes    Path
  1.15      +2 -2      ports/databases/rubygem-activerecord/Makefile
  1.9       +3 -3      ports/databases/rubygem-activerecord/distinfo
  1.10      +220 -216  ports/databases/rubygem-activerecord/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2007-12-03 23:26:51 UTC
miwi        2007-12-03 23:26:43 UTC

  FreeBSD ports repository

  Modified files:
    mail/rubygem-actionmailer Makefile distinfo pkg-plist 
  Log:
  - Update to 1.3.6 (needed for a security update)
  
  PR:             117668
  Submitted by:   Alexander Logvinov <ports@logvinov.com>
  Approved by:    portmgr (linimon), maintainer timeout
  
  Revision  Changes    Path
  1.11      +2 -2      ports/mail/rubygem-actionmailer/Makefile
  1.9       +3 -3      ports/mail/rubygem-actionmailer/distinfo
  1.8       +21 -21    ports/mail/rubygem-actionmailer/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2007-12-03 23:26:56 UTC
miwi        2007-12-03 23:26:46 UTC

  FreeBSD ports repository

  Modified files:
    devel/rubygem-activesupport Makefile distinfo pkg-plist 
  Log:
  - Update to 1.4.4 (needed for a security update)
  
  PR:             117668
  Submitted by:   Alexander Logvinov <ports@logvinov.com>
  Approved by:    portmgr (linimon), maintainer timeout
  
  Revision  Changes    Path
  1.11      +1 -1      ports/devel/rubygem-activesupport/Makefile
  1.8       +3 -3      ports/devel/rubygem-activesupport/distinfo
  1.8       +170 -167  ports/devel/rubygem-activesupport/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 dfilter service freebsd_committer 2007-12-03 23:27:03 UTC
miwi        2007-12-03 23:26:55 UTC

  FreeBSD ports repository

  Modified files:
    www/rubygem-rails    Makefile distinfo pkg-plist 
  Log:
  - Update to 1.2.6
  
  PR:             117668
  Submitted by:   Alexander Logvinov <ports@logvinov.com>
  Approved by:    portmgr (linimon), maintainer timeout
  Security:       http://www.vuxml.org/freebsd/44fb0302-9d38-11dc-9114-001c2514716c.html
                  http://www.vuxml.org/freebsd/30acb8ae-9d46-11dc-9114-001c2514716c.html
  
  Revision  Changes    Path
  1.17      +6 -6      ports/www/rubygem-rails/Makefile
  1.9       +3 -3      ports/www/rubygem-rails/distinfo
  1.8       +46 -45    ports/www/rubygem-rails/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Martin Wilke freebsd_committer 2007-12-03 23:27:27 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!